SDSamtec Developer Portal
APIsOrdersReference

Returns open, scheduled orders that have not yet shipped.

Returns open, scheduled orders that have not yet shipped. Set includeReceivedOrders to also include received (unscheduled) orders, or onlyPastDueOrders to return only orders whose scheduled ship date has passed.

GET
/v1/openorders
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

Query Parameters

topMatches?integer

Maximum number of results to return. Defaults to 10, maximum 100.

Formatint32
Default10
startAfter?string

Pagination cursor. Pass the id value from the last result of the previous page to retrieve the next page. Leave empty to start from the beginning. Cursor values are only valid within a single paging session.

Default""
samtecPart?string

Filters to an exact Samtec part number.

matchOrderType?string

Filters by order type. Defaults to all.

Value in

  • "all"
  • "sales"
  • "sample"
  • "nco"
confirmationNumber?string

Filters to an exact confirmation number, e.g. TTQ44XTJM6P8.

includeReceivedOrders?boolean

When true, also returns received (unscheduled) orders. Ignored when onlyPastDueOrders is true.

Defaultfalse
onlyPastDueOrders?boolean

When true, returns only orders with a scheduled ship date in the past. Overrides includeReceivedOrders and forces matchOrderType to sales.

Defaultfalse

Header Parameters

client-app-name?string

Name of the client application

Default"samtec-dev-portal"

Response Body

application/json

curl -X GET "https://example.com/v1/openorders"
[  {    "Id": "68b4a1f2c9e77a0012ab34ce",    "OrderId": 4512389,    "MfgLineNumber": 1,    "LineNumber": 1,    "LineType": "Sales",    "ConfirmationNumber": "TTQ44XTJM6P8",    "Status": "Open",    "PONumber": "PO-88214-A",    "ShippingOption": {      "Carrier": {        "Id": 3,        "Name": "FedEx"      },      "ServiceLevel": {        "Id": 1,        "Name": "Ground"      },      "BillingOption": {        "Id": 2,        "Name": "Prepaid"      }    },    "ReferencePONumber": null,    "Notes": [],    "TrackingNumbers": [],    "Entered": "2026-08-01T14:32:00Z",    "Requested": "2026-08-15T00:00:00Z",    "Scheduled": "2026-08-14T00:00:00Z",    "RescheduleDate": null,    "CustomerPart": "CP-8842-A",    "Part": "TSW-110-08-T-D",    "Currency": "USD",    "Quantity": 2500,    "NetPrice": 0.184,    "ShipTo": {      "Id": 5521,      "Customer": {        "Id": 8842,        "Name": "Acme Robotics Inc."      },      "Address": {        "Id": 1,        "Name": "Acme Robotics Inc.",        "Address1": "500 Innovation Way",        "Address2": null,        "Address3": null,        "City": "Austin",        "State": "TX",        "PostalCode": "78701",        "Country": "US"      }    },    "BillTo": {      "Id": 5522,      "Customer": {        "Id": 8842,        "Name": "Acme Robotics Inc."      },      "Address": {        "Id": 2,        "Name": "Acme Robotics Inc. - Accounts Payable",        "Address1": "500 Innovation Way",        "Address2": "Suite 200",        "Address3": null,        "City": "Austin",        "State": "TX",        "PostalCode": "78701",        "Country": "US"      }    },    "EndCustomer": {      "Id": 8842,      "Name": "Acme Robotics Inc."    },    "EndCustomerLocation": {      "Id": 5521,      "Customer": {        "Id": 8842,        "Name": "Acme Robotics Inc."      },      "Address": {        "Id": 1,        "Name": "Acme Robotics Inc.",        "Address1": "500 Innovation Way",        "Address2": null,        "Address3": null,        "City": "Austin",        "State": "TX",        "PostalCode": "78701",        "Country": "US"      }    },    "SourceId": 1,    "ConvertedNetPrice": 0.184  }]